package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiParam;
import com.seewo.open.sdk.OpenApiRequest;

/**
 * seewo-open API: 保存第三方上传的人脸图片
 *
 *
 * @author auto create
 * @since 2.0.1 2024-4-17
 */
public class PhotoServiceSavePhotosRequest extends OpenApiRequest<PhotoServiceSavePhotosParam, PhotoServiceSavePhotosResult> {

    public PhotoServiceSavePhotosRequest(PhotoServiceSavePhotosParam param) {
        this();
        setBizModel(param);
    }

    public PhotoServiceSavePhotosRequest() {
        setServerUrl("https://openapi.seewo.com");
        setPath("/seewo-yunban-api/photo-service/save-photos");
        setHttpMethod("POST");
        // replace with your permissionId
        //setPermissionId("");
    }

    public Class<PhotoServiceSavePhotosResult> getResponseClass() {
        return PhotoServiceSavePhotosResult.class;
    }

    public Class<PhotoServiceSavePhotosParam> getDomainClass() {
        return PhotoServiceSavePhotosParam.class;
    }
}

